Home

Get a specific NFT owned by an account

GET
https://egld-api.nownodes.io/accounts/{address}/nfts/{identifier}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves detailed information about a single NFT or SFT token (by its full identifier, e.g., collection-nonce) held by the specified account.

Parameters

addressstringrequiredpath

Account address in bech32 format

identifierstringrequiredpath

Full NFT identifier (collection identifier + nonce, e.g., "ESDT-f5690f-d5")

Response

200OK

Successful response